/*
    QuickMSG
    Copyright (C) 2014  Jeroen Vreeken <jeroen@vreeken.net>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
#ifndef _INCLUDE_MESSAGE_H_
#define _INCLUDE_MESSAGE_H_

#include "attachment.h"

#include <stdlib.h>

int message_parse_from(char *msg, size_t length, char **from);
int message_parse_attachments(char *msg, size_t length, struct attachment_list **al);

int message_multipart_create(char *to, struct attachment_list *l,
    void **msg, size_t *length, char *type);


#endif /* _INCLUDE_MESSAGE_H_ */
